; Berechnet das Crossproduct aus dem Vector.
; x = (ay * bz) - (az * by)
; y = (az * bx) - (ax * bz)
; z = (ax * by) - (ay * bx)

format MS COFF
Public PB_Vector_Crossproduct2
section '.text' code readable executable
PB_Vector_Crossproduct2:
; dword [esp+ 0] : rcksprungadresse
; dword [esp+ 4] : Vector a
; dword [esp+ 8] : Vector b
; dword [esp+12] : Zeilvector
MOV	eax,[esp+4]	; lade in eax den Vector a
MOV	ebx,[esp+8]	; lade in ebx den Vector b

FLD	dword [eax+4]	; lade ay
FMUL	dword [ebx+8]	; Multiplitziere mit bz
FLD	dword [eax+8]	; lade az
FMUL	dword [ebx+4]	; Multiplitziere mit by
FSUBP	st1,st0		; ay*bz-az*by

FLD	dword [eax+8]	; lade az
FMUL	dword [ebx]	; Multiplitziere mit bx
FLD	dword [eax]	; lade ax
FMUL	dword [ebx+8]	; Multipitziere mit bz
FSUBP	st1,st0		; az*bx-ax*bz

FLD	dword [eax]	; lade ax
FMUL	dword [ebx+4]	; Multiplitziere mit by
FLD	dword [eax+4]	; lade ay
FMUL	dword [ebx]	; Multiplitziere mit bx
FSUBP	st1,st0		; ax*by-ay*bx
; st0 : ax*by-ay*bx (z)
; st1 : az*bx-ax*bz (y)
; st2 : ay*bz-az*by (x)

; Speichere die Ergebnisse
MOV	eax, [esp+12]	; Lade Pointer des Zielvectors
FSTP	dword [eax+8]	; Speicher z
; st0 : az*bx-ax*bz (y)
; st1 : ay*bz-az*by (x)
FSTP	dword [eax+4]	; Speicher y
; st0 : ay*bz-az*by (x)
FSTP	dword [eax]	; Speicher x
RET	12