/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include "AnimSprite.h" /* Win + Linux + MacOS? */



PBFUNCTION(AnimSprite*) PB_CreateAnimSprite2(AnimSprite *anim,
                                             long sprite,
                                             unsigned long xsize,
                                             unsigned long ysize,
                                             unsigned long FrameTime) {
   // create new anim sprite
   // and set automatic update time
   if(anim) {
      if( PB_CreateAnimSprite(anim,sprite,xsize,ysize) ) {
         if(FrameTime > 60000) FrameTime = 0;
         anim->AutoFrameTime = FrameTime;
         return anim;
      }
   }
   return 0;
}
