/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include "AnimSprite.h" /* Win + Linux + MacOS? */



PBFUNCTION(unsigned long) PB_PrevAnimFrame(AnimSprite *anim) {
   // set previous anim frame
   // frame 1 goes to last frame (loop)
   if(anim) {
      if ( anim->currentAnim == 1 ) anim->currentAnim = anim->AnimCount;
      else                          anim->currentAnim--;

      AnimSprite_CalcClipStart(anim);
      return 1;
   }
   return 0;
}
