/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include "AnimSprite.h" /* Win + Linux + MacOS? */



PBFUNCTION(unsigned long) PB_SetAnimLoopDirection(AnimSprite *anim,
                                                  unsigned long direction) {
   // set new loop direction (X-direction)
   // 0 = loop ->
   // 1 = loop <-
   if(anim) {
      if (direction) anim->AutoFrameDirection = 1;
      else           anim->AutoFrameDirection = 0;
      return 1;
   }
   return 0;
}
