/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include "SkinWin.h"


PBFUNCTION(long) PB_SkinWin2(HWND    hWnd,
                             HBITMAP hBmp,
                             long    x,
                             long    y) {
   if(hWnd && hBmp) {
      HRGN region;
      if(region = PB_SkinWinMakeRegion(hBmp,x,y)) {
         SetWindowRgn(hWnd,region,1);
         return PB_SetWinBackgroundImage2(hWnd,hBmp,1);
      }
   }
   return 0;
}

