/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include <PBOSL.h>
#include <windows.h>
#include <commctrl.h>



PBFUNCTION(void) PB_FreeTB2(unsigned long ToolbarNumber) {
   if(PBOSL_TBpro_Handles) {
      for(long i=0; i<PBOSL_TBpro_Handles_Size; i++) {
         if(PBOSL_TBpro_Handles[i].Number == ToolbarNumber) {
            // free TB and TT
            if(PBOSL_TBpro_Handles[i].TB) DestroyWindow(PBOSL_TBpro_Handles[i].TB);
            if(PBOSL_TBpro_Handles[i].TT) DestroyWindow(PBOSL_TBpro_Handles[i].TT);
            // free image lists
            if(PBOSL_TBpro_Handles[i].hList)          ImageList_Destroy(PBOSL_TBpro_Handles[i].hList);
            if(PBOSL_TBpro_Handles[i].hList_hot)      ImageList_Destroy(PBOSL_TBpro_Handles[i].hList_hot);
            if(PBOSL_TBpro_Handles[i].hList_disabled) ImageList_Destroy(PBOSL_TBpro_Handles[i].hList_disabled);
            // set to 0
            RtlZeroMemory(&PBOSL_TBpro_Handles[i],sizeof(PBOSL_Toolbar_Data));
         }
      }
   }
}
