/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include <PBOSL.h>
#include <windows.h>



PBFUNCTION(int) PB_HideTB2(unsigned long ToolbarNumber, unsigned long state) {
   if(PBOSL_TBpro_Handles) {
      for(long i=0; i<PBOSL_TBpro_Handles_Size; i++) {
         if(PBOSL_TBpro_Handles[i].Number == ToolbarNumber) {
            if(PBOSL_TBpro_Handles[i].TB) {
               PBOSL_TBpro_Handles[i].HideFlag = state;
               if(PBOSL_TBpro_Current.TB == PBOSL_TBpro_Handles[i].TB)
                  PBOSL_TBpro_Current.HideFlag = state;
               return ShowWindow(PBOSL_TBpro_Handles[i].TB,state ? SW_HIDE : SW_SHOWNA);
            }
         }
      }
   }
   return 0; // error, not found
}
