@echo off
CALL SETUP.BAT

REM save path
PUSHD
REM -------------------
REM compiling Residents
REM
DEL %PBDIR%\Residents\PBOSL.RES
%PBDIR%\Compilers\PBCompiler RESIDENTS\PBOSL.pb /Resident %PBDIR%\Residents\PBOSL.RES
REM restore path
POPD

REM -------------------
REM compiling C libs
REM -------------------
cd C

CALL _LIBMAKER_C.BAT   PBOSL_AnimSprite
CALL _LIBMAKER_C.BAT   PBOSL_SkinWin
CALL _LIBMAKER_C.BAT   PBOSL_SkinWinFast
CALL _LIBMAKER_C.BAT   PBOSL_Timer
CALL _LIBMAKER_C.BAT   PBOSL_ToolbarPro
CALL _LIBMAKER_C.BAT   PBOSL_LoadDllMemory
CALL _LIBMAKER_C.BAT   PBOSL_BriefLZ
CALL _LIBMAKER_C.BAT   PBOSL_WindowSubclass

cd..
REM -------------------
REM compiling ASM libs
REM -------------------
cd ASM

CALL _LIBMAKER_ASM.BAT PBOSL_AppRunning
CALL _LIBMAKER_ASM.BAT PBOSL_CPUmonitor
CALL _LIBMAKER_ASM.BAT PBOSL_TryCatch

cd ..
REM -------------------
REM compiling PB libs
REM -------------------
cd PB

CALL _LIBMAKER_PB.BAT PBOSL_CreateGadget
CALL _LIBMAKER_PB.BAT PBOSL_DBin
CALL _LIBMAKER_PB.BAT PBOSL_ExPrinter
CALL _LIBMAKER_PB.BAT PBOSL_GlobalSharedMemory
CALL _LIBMAKER_PB.BAT PBOSL_MSXML3
CALL _LIBMAKER_PB.BAT PBOSL_NTService
CALL _LIBMAKER_PB.BAT PBOSL_Process
CALL _LIBMAKER_PB.BAT PBOSL_RFile
CALL _LIBMAKER_PB.BAT PBOSL_ScreenGadgets
CALL _LIBMAKER_PB.BAT PBOSL_SQLite3
CALL _LIBMAKER_PB.BAT PBOSL_ExDatabase


REM CALL _LIBMAKER_PB.BAT PBOSL_PureMEM
REM CALL _LIBMAKER_PB.BAT PBOSL_PurePDF
REM CALL _LIBMAKER_PB.BAT PBOSL_pdfDraw
REM CALL _LIBMAKER_PB.BAT PBOSL_pdfMisc

@echo -----
@echo DONE!
@echo -----
pause