; Berechnet das Crossproduct aus dem Vector.
; x = (ay * bz) - (az * by)
; y = (az * bx) - (ax * bz)
; z = (ax * by) - (ay * bx)

format MS COFF
Public PB_Vector_Crossproduct4
section '.text' code readable executable
PB_Vector_Crossproduct4:
; dword [esp+ 0] : rcksprungadresse
; dword [esp+ 4] : Pointer zum X wert des Vectors a
; dword [esp+ 8] : Pointer zum Y wert des Vectors a
; dword [esp+12] : Pointer zum Z wert des Vectors a
; dword [esp+16] : Pointer zum X Wert des Vectors b
; dword [esp+20] : Pointer zum Y Wert des Vectors b
; dword [esp+24] : Pointer zum Z Wert des Vectors b
MOV	eax,[esp+8]	; lade den Pointer zu ay in eax
FLD	dword [eax]	; lade ay
MOV	eax,[esp+24]	; lade den Pointer zu bz
FMUL	dword [eax]	; Multiplitziere mit bz
MOV	eax,[esp+12]	; lade den Pointer zu az in eax
FLD	dword [eax]	; lade az
MOV	eax,[esp+20]	; lade den Pointer zu by in eax
FMUL	dword [eax]	; Multiplitziere mit by
FSUBP	st1,st0		; ay*bz-az*by

MOV	eax,[esp+12]	; Lade den pointer zu az
FLD	dword [eax]	; lade az
MOV	eax,[esp+16]	; lade den Pointer zu bx in eax
FMUL	dword [eax]	; Multiplitziere mit bx
MOV	eax,[esp+4]	; lade den Pointer zu ax in eax
FLD	dword [eax]	; lade ax
MOV	eax,[esp+24]	; lade den Pointer zu bz in eax
FMUL	dword [eax]	; Multipitziere mit bz
FSUBP	st1,st0		; az*bx-ax*bz

MOV	eax,[esp+4]	; lade den Pointer zu ax in eax
FLD	dword [eax]	; lade ax
MOV	eax,[esp+20]	; lade den Pointer zu by in eax
FMUL	dword [eax]	; Multiplitziere mit by
MOV	eax,[esp+8]	; lade den Pointer zu ay in eax
FLD	dword [eax]	; lade ay
MOV	eax,[esp+16]	; lade den Pointer zu bx in eax
FMUL	dword [eax]	; Multiplitziere mit bx
FSUBP	st1,st0		; ax*by-ay*bx
; st0 : ax*by-ay*bx (z)
; st1 : az*bx-ax*bz (y)
; st2 : ay*bz-az*by (x)

; Speichere die Ergebnisse
MOV	eax, [esp+12]	; Lade den Pointer zu az
FSTP	dword [eax]	; Speicher z
; st0 : az*bx-ax*bz (y)
; st1 : ay*bz-az*by (x)
MOV	eax, [esp+8]	; Lade den Pointer zu ay
FSTP	dword [eax]	; Speicher y
; st0 : ay*bz-az*by (x)
MOV	eax, [esp+4]	; Lade den Pointer zu ax
FSTP	dword [eax]	; Speicher x
RET	24