; Berechnet das Crossproduct aus dem Vector.
; x = (ay * bz) - (az * by)
; y = (az * bx) - (ax * bz)
; z = (ax * by) - (ay * bx)

format MS COFF
Public PB_Vector_Crossproduct5
section '.text' code readable executable
PB_Vector_Crossproduct5:
; dword [esp+ 0] : rcksprungadresse
; dword [esp+ 4] : X wert des Vectors a
; dword [esp+ 8] : Y wert des Vectors a
; dword [esp+12] : Z wert des Vectors a
; dword [esp+16] : X Wert des Vectors b
; dword [esp+20] : Y Wert des Vectors b
; dword [esp+24] : Z Wert des Vectors b
; dword [esp+28] : Pointer zum Zielwert fr X
; dword [esp+32] : Pointer zum Zielwert fr Y
; dword [esp+36] : Pointer zum Zielwert fr Z
FLD	dword [esp+8]	; lade ay
FMUL	dword [esp+24]	; Multiplitziere mit bz
FLD	dword [esp+12]	; lade az
FMUL	dword [esp+20]	; Multiplitziere mit by
FSUBP	st1,st0		; ay*bz-az*by

FLD	dword [esp+12]	; lade az
FMUL	dword [esp+16]	; Multiplitziere mit bx
FLD	dword [esp+4]	; lade ax
FMUL	dword [esp+24]	; Multipitziere mit bz
FSUBP	st1,st0		; az*bx-ax*bz

FLD	dword [esp+4]	; lade ax
FMUL	dword [esp+20]	; Multiplitziere mit by
FLD	dword [esp+8]	; lade ay
FMUL	dword [esp+16]	; Multiplitziere mit bx
FSUBP	st1,st0		; ax*by-ay*bx
; st0 : ax*by-ay*bx (z)
; st1 : az*bx-ax*bz (y)
; st2 : ay*bz-az*by (x)

; Speichere die Ergebnisse
MOV	eax, [esp+36]	; Lade den Pointer zu az
FSTP	dword [eax]	; Speicher z
; st0 : az*bx-ax*bz (y)
; st1 : ay*bz-az*by (x)
MOV	eax, [esp+32]	; Lade den Pointer zu ay
FSTP	dword [eax]	; Speicher y
; st0 : ay*bz-az*by (x)
MOV	eax, [esp+28]	; Lade den Pointer zu ax
FSTP	dword [eax]	; Speicher x
RET	36