;Berechnet das DotProduct vom Vector
;(x.f*x.f) + (y.f*y.f) + (z.f*z.f)

format MS COFF
Public PB_Vector_DotProduct
section '.text' code readable executable
PB_Vector_DotProduct:
; dword [esp+ 0] : rcksprungadresse
; dword [esp+ 4] : Pointer zum Vector
MOV	eax,[esp+4]	;kopiere den Pointer zum Vector in eax
FLD	dword [eax+8]	;lade Z
; st0 : z
FMUL	st0,st0		;z*z
; st0 : z*z
FLD	dword [eax+4]	;lade Y
; st0 : y
; st1 : z*z
FMUL	st0,st0		;y*y
; st0 : y*y
; st1 : z*z
FLD	dword [eax]	;lade X
; st0 : x
; st1 : y*y
; st2 : z*z
FMUL	st0,st0		;x*x
; st0 : x*x
; st1 : y*y
; st2 : z*z
FADD	st0,st1
; st0 : x*x + y*y 
; st1 : y*y
; st2 : z*z
FADD	st0,st2
; st0 : x*x + y*y + z*z
; st1 : y*y
; st2 : z*z
FSTP	st1
; st0 : x*x + y*y + z*z
; st1 : z*z
FSTP	st1
; st0 : x*x + y*y + z*z
RET	4