/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include "AnimSprite.h" /* Win + Linux + MacOS? */



PBFUNCTION(unsigned long) PB_SetAnimLoopDelay(AnimSprite *anim, long delay) {
   // set new animation delay between 0ms - 60000ms
   if(anim) {
      if      (delay > 60000) anim->AutoFrameTime = 60000;
      else if (delay < 0)     anim->AutoFrameTime = 0;
      else                    anim->AutoFrameTime = (unsigned long)delay;
      return 1;
   }
   return 0;
}
