/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include "SkinWin.h"


PBFUNCTION(long) PB_SetWinBackgroundColor(HWND win, COLORREF color) {

   long retval = 0;
    
   HDC DesktopDC  = GetDC(GetDesktopWindow());
      HDC     tempDC  = CreateCompatibleDC(DesktopDC);
      HBITMAP tempBmp = CreateCompatibleBitmap(DesktopDC,100,100);
   ReleaseDC(GetDesktopWindow(),DesktopDC);
    
   HGDIOBJ oldImage = SelectObject(tempDC,tempBmp);
    
   RECT rect;
   rect.left  = rect.top    = 0;
   rect.right = rect.bottom = 100;
    
   HBRUSH tempBrush = CreateSolidBrush(color);
      FillRect(tempDC,&rect,tempBrush);
   DeleteObject(tempBrush);
    
   SelectObject(tempDC,oldImage);
   DeleteDC(tempDC);

   retval = PB_SetWinBackgroundImage2(win,tempBmp,1);
    
   if(retval) {
      sw_BackgroundArea[--retval].hBmp_free = 1;
   }
    
   return retval;
}

