/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include <PBOSL.h>
#include <windows.h>



PBFUNCTION(unsigned long) PB_EndTimer(unsigned long TimerNumber) {
   // max 16 timers, 0 - 15
   if(TimerNumber > 15) return 0;
   
   // if this timer is used, kill it and return success
   if(PBOSL_Timer_Handles[TimerNumber]) {
      timeKillEvent(PBOSL_Timer_Handles[TimerNumber]);
      return 1;
   }

   return 0;
}
