/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include <PBOSL.h>
#include <windows.h>
#include <commctrl.h>



PBFUNCTION(unsigned long) PB_AddTBbreak(void) {
   if(PBOSL_TBpro_Current.TB) {
      unsigned long count;
      
      // if button count > 0
      if(count = SendMessage(PBOSL_TBpro_Current.TB,TB_BUTTONCOUNT,0,0)) {
         TBBUTTON btn;
         // get info for last button
         SendMessage(PBOSL_TBpro_Current.TB,TB_GETBUTTON,--count,(LPARAM)&btn);
         
         // Check for 0 (Separator) -> Separator cant have a break!
         if(btn.idCommand) {
            // Add state TBSTATE_WRAP to button
            SendMessage(PBOSL_TBpro_Current.TB,
                        TB_SETSTATE,
                        btn.idCommand,
                        SendMessage(PBOSL_TBpro_Current.TB,
                                    TB_GETSTATE,
                                    btn.idCommand,
                                    0) | TBSTATE_WRAP);
            // refresh
            SendMessage(PBOSL_TBpro_Current.TB,TB_AUTOSIZE,0,0);
            
            // return success
            return 1;
         }
      }
   }
   return 0; // error
}
