/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include <PBOSL.h>
#include <windows.h>
#include <commctrl.h>



PBFUNCTION(unsigned long) PB_DeleteTBbutton(unsigned long buttonID) {
   if(PBOSL_TBpro_Current.TB && buttonID) {
      unsigned long ok;
      
      // delete button
      ok = SendMessage(PBOSL_TBpro_Current.TB,
                       TB_DELETEBUTTON,
                       SendMessage(PBOSL_TBpro_Current.TB,
                                   TB_COMMANDTOINDEX,
                                   buttonID,
                                   0),
                       0);

      if(ok) {
        TOOLINFO ti;

        // delete tooltip for deleted button
        ti.cbSize = sizeof(TOOLINFO);
        ti.hwnd   = PBOSL_TBpro_Current.TB;
        ti.uId    = buttonID;
        SendMessage(PBOSL_TBpro_Current.TT,TTM_DELTOOL,0,(LPARAM)&ti);

        // update tooltips
        PB_UpdateTBtooltips();

        // return success
        return ok;
      }
   }
   return 0;
}
