/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include <PBOSL.h>
#include <windows.h>
#include <commctrl.h>



PBFUNCTION(void) PB_SetTBbuttonTooltip(unsigned long  buttonID,
                                       char *text) {
   if(PBOSL_TBpro_Current.TB && PBOSL_TBpro_Current.TT && buttonID) {
      TOOLINFO ti;

      ti.cbSize   = sizeof(TOOLINFO);
      ti.hwnd     = PBOSL_TBpro_Current.TB;
      ti.uId      = buttonID;
      ti.lpszText = text;

      SendMessage(PBOSL_TBpro_Current.TT,
                  TTM_UPDATETIPTEXT,
                  0,
                  (LPARAM)&ti);

      PB_UpdateTBtooltips();
   }
}
