/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include <PBOSL.h>
#include <windows.h>
#include <commctrl.h>



PBFUNCTION(unsigned long) PB_TBheight2(unsigned long ToolbarNumber) {
   if(PBOSL_TBpro_Handles) {
      for(long i=0; i<PBOSL_TBpro_Handles_Size; i++) {
         if(PBOSL_TBpro_Handles[i].Number == ToolbarNumber) {
            if(PBOSL_TBpro_Handles[i].TB) {
               RECT rect;
               GetWindowRect(PBOSL_TBpro_Handles[i].TB,&rect);
               return PBOSL_TBpro_Handles[i].HideFlag ? 0 : rect.bottom - rect.top;
            }
         }
      }
   }
   return 0;
}
