Global Lib
Global Mem

#MaxGlobalsize=1024;Reicht fr 128 Eintrge


Procedure PBOSL_GlobalMEM_Init()

 Lib=LoadLibrary_("kernel32.dll")

 CreateFileMappingA=GetProcAddress_(LIB,"CreateFileMappingA")
 MapViewOfFile=GetProcAddress_(LIB,"MapViewOfFile")
 UnmapViewOfFile=GetProcAddress_(LIB,"UnmapViewOfFile")
 GlobalAlloc=GetProcAddress_(LIB,"GlobalAlloc")
 GlobalFree=GetProcAddress_(LIB,"GlobalFree")

 Mem=GlobalAlloc_(#GMEM_FIXED ,#MaxGlobalsize );Speicher reservieren

EndProcedure


ProcedureDLL PBOSL_GlobalMEM_End()
;Speicher Freigeben
If MEM
 For I=1 To #MaxGlobalsize/8
  L=PeekL(MEM-1+I*8)
  If L<>0
   L2=PeekL(MEM-1+(I*8) +4 )
   If L2
    UnmapViewOfFile_(L2)
   EndIf
   CloseHandle_(L)
  EndIf
 Next
EndIf
Result=GlobalFree_(MEM);
FreeLibrary_(Lib)
EndProcedure


ProcedureDLL PBOSL_AllocateMemoryGlobal(Name.s,Size.l); (Name of Memory as String, Size of Memory [in Bytes] as LONG )Return the Pointer to the memory (same as with Allocatememory)

If MEM=0
 PBOSL_GlobalMEM_Init()
EndIf

ghMap =CreateFileMapping_(-1,0,#PAGE_READWRITE,0,Size,Name.s)
If ghMap
 For I=1 To #MaxGlobalsize/8
  L=PeekL(MEM+((I-1)*8))
  If L=ghMap ;is alread declared, so leave now
   ;Messagerequester("INFO","already ???",0)
   ProcedureReturn PeekL(MEM+((I-1)*8)+4)
   EndIf
 Next

 hMapView = MapViewOfFile_(ghMap, #FILE_MAP_ALL_ACCESS, 0, 0, 0) ;get pointer To new share file map mem

 ;Messagerequester("INFO",hex(hMapView),0)

 If hMapView <>0
  ;MP=GlobalLock_(MEM)
  If MEM
   For I=1 To #MaxGlobalsize/8
    L=PeekL(MEM+((I-1)*8))
    If L=0
     PokeL(MEM+((I-1)*8) +4 ,hMapView)
     PokeL(MEM+((I-1)*8) ,ghMap)
     Goto AllocateMemoryGlobal2
    EndIf
   Next
  EndIf
AllocateMemoryGlobal2:
  ProcedureReturn hMapView
 Else
  CloseHandle_(ghMap )
 EndIf
EndIf
EndProcedure


ProcedureDLL PBOSL_FreeMemoryGlobal(Pointer.l);(MemoryPointer as Long) free's the Block which is allocated before
;Liste durchgehen
If MEM
 For I=1 To #MaxGlobalsize/8
  L=PeekL(MEM - 1 + (I*8))
  If L<>0
   L2=PeekL(MEM-1 +(I*8) +4 )
   If L2=Pointer
    UnmapViewOfFile_(L2)
    CloseHandle_(L)
    PokeL(MEM-1+(I*8) +4 ,0)
    PokeL(MEM-1+(I*8) ,0)
    Goto FreeMemoryGlobal2
   EndIf
  EndIf
 Next
EndIf
FreeMemoryGlobal2:
;GlobalUnlock_(MEM)
EndProcedure

