; ScreenGadget
Enumeration 1 ; Gadget types
  #SG_GadgetType_Text
  #SG_GadgetType_String
  #SG_GadgetType_Editor
  #SG_GadgetType_Button
  #SG_GadgetType_Checkbox
  #SG_GadgetType_Option
  #SG_GadgetType_Trackbar
  #SG_GadgetType_Listicon
  #SG_GadgetType_ScrollBar
  #SG_GadgetType_Image
  #SG_GadgetType_ButtonImage
  #SG_GadgetType_Frame3D
  #SG_GadgetType_ExplorerList
  #SG_GadgetType_Combobox
EndEnumeration
Enumeration 1 ; Event types
  #SG_EventType_MouseOverGadget  ; Mouse over the gadget
  #SG_EventType_LeftClick        ; Klick mit der linken Maustaste
  #SG_EventType_RightClick       ; Klick mit der rechten Maustaste
  #SG_EventType_LeftRelease      ; release Left Button
  #SG_EventType_RightRelease     ; release Right Button
  #SG_EventType_Wheel
EndEnumeration


; CreateGadget by edel & ts-soft
CompilerIf Defined(PB_GadgetVT, #PB_Structure) = #False
  Structure PB_GadgetVT
    GadgetType.l
    SizeOf.l
    GadgetCallback.l
    FreeGadget.l
    GetGadgetState.l
    SetGadgetState.l
    GetGadgetText.l
    SetGadgetText.l
    AddGadgetItem2.l
    AddGadgetItem3.l
    RemoveGadgetItem.l
    ClearGadgetItemList.l
    ResizeGadget.l
    CountGadgetItems.l
    GetGadgetItemState.l
    SetGadgetItemState.l
    GetGadgetItemText.l
    SetGadgetItemText.l
    OpenGadgetList2.l
    GadgetX.l
    GadgetY.l
    GadgetWidth.l
    GadgetHeight.l
    HideGadget.l
    AddGadgetColumn.l
    RemoveGadgetColumn.l
    GetGadgetAttribute.l
    SetGadgetAttribute.l
    GetGadgetItemAttribute2.l
    SetGadgetItemAttribute2.l
    SetGadgetColor.l
    GetGadgetColor.l
    SetGadgetItemColor2.l
    GetGadgetItemColor2.l
    SetGadgetItemData.l
    GetGadgetItemData.l
  EndStructure
CompilerEndIf

CompilerIf Defined(PB_Gadget, #PB_Structure) = #False
  Structure PB_Gadget
    Gadget.l
    *VT.PB_GadgetVT
    UserData.l
    OldCallback.l
    Daten.l[4]
  EndStructure
CompilerEndIf

; ;
; ; PurePDF by LuckyLuke
; ;
; 
; #PDF_PurePDF_Defined = #True
; 
; Structure MEM_DataStructure
;   pData.l       ; Pointer to memory
;   lMaxSize.l    ; Max. reserved memory in bytes
;   lCurSize.l    ; Current last possition of data in bytes
; EndStructure
; 
; #PDF_STYLE_DRAW         = "D"
; #PDF_STYLE_FILL         = "F"
; #PDF_STYLE_DRAWANDFILL  = "DF"
; 
; #PDF_LAYOUT_SINGLE      = "/SinglePage"
; #PDF_LAYOUT_CONTINUOUS  = "/OneColumn"
; #PDF_LAYOUT_TWO         = "/TwoColumnLeft"
; 
; #PDF_ZOOM_FULLPAGE      = -1
; #PDF_ZOOM_FULLWIDTH     = -2
; #PDF_ZOOM_REAL          = -3
; 
; #PDF_PAGE_FORMAT_4A0="4767.87,6740.79"
; #PDF_PAGE_FORMAT_2A0="3370.39,4767.87"
; #PDF_PAGE_FORMAT_A0="2383.94,3370.39"
; #PDF_PAGE_FORMAT_A1="1683.78,2383.94"
; #PDF_PAGE_FORMAT_A2="1190.55,1683.78"
; #PDF_PAGE_FORMAT_A3="841.89,1190.55"
; #PDF_PAGE_FORMAT_A4="595.28,841.89"     
; #PDF_PAGE_FORMAT_A5="419.53,595.28"
; #PDF_PAGE_FORMAT_A6="297.64,419.53"
; #PDF_PAGE_FORMAT_A7="209.76,297.64"
; #PDF_PAGE_FORMAT_A8="147.40,209.76"
; #PDF_PAGE_FORMAT_A9="104.88,147.40"
; #PDF_PAGE_FORMAT_A10="73.70,104.88"
; #PDF_PAGE_FORMAT_B0="2834.65,4008.19"
; #PDF_PAGE_FORMAT_B1="2004.09,2834.65"
; #PDF_PAGE_FORMAT_B2="1417.32,2004.09"
; #PDF_PAGE_FORMAT_B3="1000.63,1417.32"
; #PDF_PAGE_FORMAT_B4="708.66,1000.63"
; #PDF_PAGE_FORMAT_B5="498.90,708.66"
; #PDF_PAGE_FORMAT_B6="354.33,498.90"
; #PDF_PAGE_FORMAT_B7="249.45,354.33"
; #PDF_PAGE_FORMAT_B8="175.75,249.45"
; #PDF_PAGE_FORMAT_B9="124.72,175.75"
; #PDF_PAGE_FORMAT_B10="87.87,124.72"
; #PDF_PAGE_FORMAT_C0="2599.37,3676.54"
; #PDF_PAGE_FORMAT_C1="1836.85,2599.37"
; #PDF_PAGE_FORMAT_C2="1298.27,1836.85"
; #PDF_PAGE_FORMAT_C3="918.43,1298.27"
; #PDF_PAGE_FORMAT_C4="649.13,918.43"
; #PDF_PAGE_FORMAT_C5="459.21,649.13"
; #PDF_PAGE_FORMAT_C6="323.15,459.21"
; #PDF_PAGE_FORMAT_C7="229.61,323.15"
; #PDF_PAGE_FORMAT_C8="161.57,229.61"
; #PDF_PAGE_FORMAT_C9="113.39,161.57"
; #PDF_PAGE_FORMAT_C10="79.37,113.39"
; #PDF_PAGE_FORMAT_RA0="2437.80,3458.27"
; #PDF_PAGE_FORMAT_RA1="1729.13,2437.80"
; #PDF_PAGE_FORMAT_RA2="1218.90,1729.13"
; #PDF_PAGE_FORMAT_RA3="864.57,1218.90"
; #PDF_PAGE_FORMAT_RA4="609.45,864.57"
; #PDF_PAGE_FORMAT_SRA0="2551.18,3628.35)"
; #PDF_PAGE_FORMAT_SRA1="1814.17,2551.18"
; #PDF_PAGE_FORMAT_SRA2="1275.59,1814.17"
; #PDF_PAGE_FORMAT_SRA3="907.09,1275.59"
; #PDF_PAGE_FORMAT_SRA4="637.80,907.09"
; #PDF_PAGE_FORMAT_LETTER="612.00,792.00"
; #PDF_PAGE_FORMAT_LEGAL="612.00,1008.00"
; #PDF_PAGE_FORMAT_EXECUTIVE="521.86,756.00"
; #PDF_PAGE_FORMAT_FOLIO="612.00,936.00"
; 
; #PDF_CELL_LEFTBORDER   = -1
; #PDF_CELL_TOPBORDER    = -2
; #PDF_CELL_RIGHTBORDER  = -4
; #PDF_CELL_BOTTOMBORDER = -8
; 
; #PDF_ALIGN_RIGHT = "R"
; #PDF_ALIGN_LEFT = "L"
; #PDF_ALIGN_FORCEDJUSTIFIED = "FJ"
; #PDF_ALIGN_JUSTIFIED = "J"
; #PDF_ALIGN_CENTER = "C"
; 
; #PDF_NEWLINE = Chr(13)
; #PDF_FONTSUP = -100
; #PDF_FONTSUT = 50
; 
; #PDF_FONT_COURIER       = "Courier"
; #PDF_FONT_COURIERB      = "Courier-Bold"
; #PDF_FONT_COURIERI      = "Courier-Oblique"
; #PDF_FONT_COURIERBI     = "Courier-BoldOblique"
; #PDF_FONT_HELVETICA     = "Helvetica"
; #PDF_FONT_HELVETICAB    = "Helvetica-Bold"
; #PDF_FONT_HELVETICAI    = "Helvetica-Oblique"
; #PDF_FONT_HELVETICABI   = "Helvetica-BoldOblique"
; #PDF_FONT_ZAPFDINGBATS  = "ZapfDingbats"
; #PDF_FONT_SYMBOL        = "Symbol"
; #PDF_FONT_TIMES         = "Times-Roman"
; #PDF_FONT_TIMESI        = "Times-Italic"
; #PDF_FONT_TIMESB        = "Times-Bold"
; #PDF_FONT_TIMESBI       = "Times-BoldItalic"
; 
; #PUREPDF_VERSION        = 3.00
; 
; Structure PDF_ImageStructure
;   N.w
;   ImageN.b
;   FileName.s
;   Width.l
;   Height.l
;   ColSpace.s
;   Bpc.b
;   Parms.s
;   Pal.MEM_DataStructure
;   Datapic.MEM_DataStructure
;   Filter.s
; EndStructure
; 
; Structure PDF_FontStructure
;   N.w       
;   FontN.b      
;   Name$
;   CharWidth.w[256]  
;   FontKey$
; EndStructure
; 
; Structure PDF_PageLinkStructure
;   Page.w  
;   DestPage.w
;   fA0.f
;   fA1.f
;   fA2.f
;   fA3.f
;   y.f
;   url$
; EndStructure
; 
; Structure PDF_TocStructure
;   Text$
;   Level.w
;   Page.w
; EndStructure
; ;
; ; PurePDF end
; ;

; ----------------------
; SQLite3
; by Peter Tuebben (aka Kiffi)
; ----------------------
#SQLITE3_Defined = #True

Structure SQLITE3_RecordSet
  BOF.l
  EOF.l
  Handle.l
  Rows.l
  Cols.l
  CurrentPos.l
  sValue.s
EndStructure

; Constants

#SQLITE3_OK          =   0   ; Successful Result
#SQLITE3_ERROR       =   1   ; SQL error Or missing database
#SQLITE3_INTERNAL    =   2   ; An internal logic error in SQLite
#SQLITE3_PERM        =   3   ; Access permission denied
#SQLITE3_ABORT       =   4   ; Callback routine requested An abort
#SQLITE3_BUSY        =   5   ; The database file is locked
#SQLITE3_LOCKED      =   6   ; A table in The database is locked
#SQLITE3_NOMEM       =   7   ; A malloc() failed
#SQLITE3_READONLY    =   8   ; Attempt To write A readonly database
#SQLITE3_INTERRUPT   =   9   ; Operation terminated by SQLite_Interrupt()
#SQLITE3_IOERR       =  10   ; Some kind of disk I/O error occurred
#SQLITE3_CORRUPT     =  11   ; The database disk image is malformed
#SQLITE3_NOTFOUND    =  12   ; (internal Only) table Or record not found
#SQLITE3_FULL        =  13   ; Insertion failed because database is full
#SQLITE3_CANTOPEN    =  14   ; Unable To open The database file
#SQLITE3_PROTOCOL    =  15   ; database lock protocol error
#SQLITE3_EMPTY       =  16   ; (internal Only) database table is empty
#SQLITE3_SCHEMA      =  17   ; The database schema changed
#SQLITE3_TOOBIG      =  18   ; Too much Data For one Row of A table
#SQLITE3_CONStraint  =  19   ; abort due To contraint violation
#SQLITE3_MISMATCH    =  20   ; Data type mismatch
#SQLITE3_MISUSE      =  21   ; Library used incorrectly
#SQLITE3_NOLFS       =  22   ; Uses OS features not supported on host
#SQLITE3_AUTH        =  23   ; Authorization denied
#SQLITE3_ROW         = 100   ; sqlite_step() has another Row ready
#SQLITE3_DONE        = 101   ; sqlite_step() has finished executing

#SQLITE3_STATIC = 0

; Column-Datatypes:

#SQLITE_INTEGER = 1
#SQLITE_FLOAT   = 2
#SQLITE_TEXT    = 3
#SQLITE_BLOB    = 4
#SQLITE_NULL    = 5
;----------------------
; SQLite3 End
;----------------------
;
;- PBOSL - RFile
;
#RFile_Defined = #True
; Formatversion
#RFile_VERSION = 513 ; 2.1 = HighByte 2, LowByte 1

#RFile_HeaderLenght = 20
#RFile_First    = -1
#RFile_Previous = -2
#RFile_Next     = -3
#RFile_Last     = -4
#RFile_Current  = -5

Interface IRFile
  Create(FileName.s, RecordLength.l)
  Open(FileName.s)
  Close()
  RecCount()
  Eof()
  Lof()
  RecordLength()
  MaxRecord()
  LastUpdate()
  CreationDate()
  Version()
  VersionStr.s()
  Put(RecordNumber.l, MemoryPointer.l)
  Get(RecordNumber.l, MemoryPointer.l)
  Append(MemoryPointer.l)
  Crypt(MemoryPointer.l, PassWord.s)
EndInterface

;
;- PBOSL - Toolbar Professional
;
#TBpro_NORMAL                 = $400+48
#TBpro_HOT                    = $400+52
#TBpro_DISABLED               = $400+54

#TBpro_FLAT                   = $800    ; %00000001
#TBpro_BOTTOM                 = $3      ; %00000010
#TBpro_BORDER                 = $800000 ; %00000100
#TBpro_TRANSPARENCY           = $8000   ; %00001000
#TBpro_TRANSPARENT            = $8000   ; %00001000
#TBpro_LISTVIEW               = $1000   ; %00010000

#TBpro_BUTTON                 = $0
#TBpro_PushBUTTON             = $2
#TBpro_CheckBUTTON            = $2 | $4
#TBpro_DropdownBUTTON         = $8
#TBpro_WholeDropdownBUTTON    = $80

#TBpro_SYSTEM_ICON            = %10000000000000000000000000000000

#TBpro_CUT                    =  1 | #TBpro_SYSTEM_ICON
#TBpro_COPY                   =  2 | #TBpro_SYSTEM_ICON
#TBpro_PASTE                  =  3 | #TBpro_SYSTEM_ICON
#TBpro_UNDO                   =  4 | #TBpro_SYSTEM_ICON
#TBpro_REDO                   =  5 | #TBpro_SYSTEM_ICON
#TBpro_DELETE                 =  6 | #TBpro_SYSTEM_ICON
#TBpro_FILENEW                =  7 | #TBpro_SYSTEM_ICON
#TBpro_FILEOPEN               =  8 | #TBpro_SYSTEM_ICON
#TBpro_FILESAVE               =  9 | #TBpro_SYSTEM_ICON
#TBpro_PRINTPREVIEW           = 10 | #TBpro_SYSTEM_ICON
#TBpro_PROPERTIES             = 11 | #TBpro_SYSTEM_ICON
#TBpro_HELP                   = 12 | #TBpro_SYSTEM_ICON
#TBpro_FIND                   = 13 | #TBpro_SYSTEM_ICON
#TBpro_REPLACE                = 14 | #TBpro_SYSTEM_ICON
#TBpro_PRINT                  = 15 | #TBpro_SYSTEM_ICON

#TBpro_BACK                   = 16 | #TBpro_SYSTEM_ICON
#TBpro_FORWARD                = 17 | #TBpro_SYSTEM_ICON
#TBpro_FAVORITES              = 18 | #TBpro_SYSTEM_ICON
#TBpro_ADDTOFAVORITES         = 19 | #TBpro_SYSTEM_ICON
#TBpro_VIEWTREE               = 20 | #TBpro_SYSTEM_ICON

#TBpro_LARGEICONS             = 21 | #TBpro_SYSTEM_ICON
#TBpro_SMALLICONS             = 22 | #TBpro_SYSTEM_ICON
#TBpro_LISTICONS              = 23 | #TBpro_SYSTEM_ICON
#TBpro_DETAILICONS            = 24 | #TBpro_SYSTEM_ICON
#TBpro_SORTNAME               = 25 | #TBpro_SYSTEM_ICON
#TBpro_SORTSIZE               = 26 | #TBpro_SYSTEM_ICON
#TBpro_SORTDATE               = 27 | #TBpro_SYSTEM_ICON
#TBpro_SORTTYPE               = 28 | #TBpro_SYSTEM_ICON
#TBpro_PARENTFOLDER           = 29 | #TBpro_SYSTEM_ICON
#TBpro_NETCONNECT             = 30 | #TBpro_SYSTEM_ICON
#TBpro_NETDISCONNECT          = 31 | #TBpro_SYSTEM_ICON
#TBpro_NEWFOLDER              = 32 | #TBpro_SYSTEM_ICON

;
;- PBOSL - AnimSprite
;
Structure AnimSprite
   SpriteNumber.l
   Transparent.l
   Xsize.l
   Ysize.l
   AnimCount.l
   DirectionCount.l
   currentAnim.l
   currentDirection.l
   XclipStart.l
   YclipStart.l
   AutoFrameTime.l
   AutoFrameDirection.l
   AutoFrameLastTime.l
EndStructure

; IDE Options = PureBasic 4.10 (Windows - x86)
; CursorPosition = 15
; Folding = -
; EnableXP
; HideErrorLog